{% extends 'base.html' %}
{% load static %}

{% block sidebar %}
{% endblock sidebar %}

{% block content-title %}
<div class="row">
  <nav title="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item" aria-current="page"><a href="{% url 'jobs:index' %}">Jobs</a></li>
    </ol>
  </nav>
</div>
{% endblock content-title %}

{% block content %}
<div class="row">
  <div class="col-lg-12">
    <table id="jobs" class="table table-light table-striped table-borderless table-hover">
      <thead>
        <tr>
          <th scope="col">id</th>
          <th scope="col">next_run_time</th>
          <th scope="col">func</th>
          <th scope="col">args</th>
          <th scope="col">kwargs</th>
          <th scope="col">max_instances</th>
        </tr>
      </thead>
      <tbody>
        {% for job in jobs %}
        <tr>
          <th scope="row">
            <div class="clickable" data-tableid="jobs">
              <span>
                <a href="{% url 'jobs:executions_job' job_id=job.id %}">{{job.id}}</a>
              </span>
            </div>
          </th>
          <th scope="row">{{job.next_run_time}}</th>
          <th scope="row">{{job.func}}</th>
          <th scope="row">{{job.args}}</th>
          <th scope="row">{{job.kwargs}}</th>
          <th scope="row">{{job.max_instances}}</th>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
{% endblock content %}

{% block javascript %}
<script src="{% static 'jobs/js/jobs.js' %}"></script>
<script>
  connectWebSocket("jobs", uuidv4());
</script>
{% endblock javascript %}